/* Global Styles */
* {
  padding: 0px;
  margin: 0px;
  font-family: "poppins", sans-serif;
}

header {
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.15);
  padding: 5px 20px;
  margin-bottom: 20px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #fff;
  box-sizing: border-box;
}

#searchBar {
  width: 40%;
  max-width: 500px;
  box-sizing: border-box;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

#searchResults {
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.15);
  padding-top: 30px;
  padding-bottom: 10px;
  width: 100%;
  background-color: white;
  position: absolute;
  top: 20px;
  z-index: 1;
  display: none;
  flex-direction: column;
  border-radius: 0px 0px 20px 20px;
}

.searchResults_item {
  padding: 5px 10px;
  font-size: 14px;
}

.searchResults_item:hover {
  background-color: #facdcf;
}

#searchBar img {
  z-index: 2;
  width: 30px;
  position: absolute;
  top: 7px;
  right: 10px;
}

#searchBar input {
  z-index: 2;
  width: 100%;
  height: 45px;
  border-radius: 20px;
  border: rgb(246, 203, 205) solid 0.1px;
  background-color: #fafafa;
  padding: 0px 10px;
  font-weight: 500;
}

#headrActions {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
  position: relative;
}

#headrActions img {
  width: 35px;
  cursor: pointer;
}

#headrActions p {
  display: flex;
  justify-content: center;
  align-items: center;
  text-decoration: none;
  font-weight: 600;
  color: #c3262d;
  font-size: 19px;
  cursor: pointer;
  transition: color 0.2s ease;
}

#headrActions a:hover {
  color: #8b0a1a;
}

#cartCounter {
  color: white;
  background-color: #c3262d;
  font-size: 10px;
  font-weight: bold;
  padding: 3px 7px;
  box-sizing: border-box;
  border-radius: 100px;
  position: absolute;
  left: -5px;
  top: -1px;
}

nav {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 40px;
  margin-bottom: 30px;
}

nav a {
  font-size: 18px;
  text-decoration: none;
  font-weight: 600;
  color: #c3262d;
  opacity: 0.5;
  transition: all 0.2s ease;
}

nav a:hover {
  scale: 1.2;
  opacity: 0.8;
}

.selected {
  opacity: 1;
  font-weight: 800;
}

main {
  min-height: 70vh;
  margin-bottom: 40px;
}

#bg {
  position: fixed;
  top: 180px;
  left: 0;
  background-size: cover;
  background-position: center;
  z-index: -1;
}

footer {
  color: white;
  background-color: #9c1e24;
  padding: 10px 20px;
  display: flex;
  text-align: center;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

footer div p {
  max-width: 800px;
  font-size: 18px;
}

footer div {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
#res {
  display: none;
}

/* phone */
@media (max-width: 500px) {
  body * {
    display: none;
  }

  body {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
  }

  #res {
    display: block;
    max-width: 90%;
    max-height: 80%;
  }
}
